Skip to main content
GET
/
profiles
/
{ownerPubkey}
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/profiles/{ownerPubkey} \
  --header 'x-api-key: <api-key>'
{
  "ownerPubkey": "<string>",
  "realizedPnlUsd": "<string>",
  "totalVolumeUsd": "<string>",
  "predictionsCount": "<string>",
  "correctPredictions": "<string>",
  "wrongPredictions": "<string>",
  "totalActiveContracts": "<string>",
  "totalPositionsValueUsd": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

ownerPubkey
string
required

Response

Profile stats

ownerPubkey
string
required
realizedPnlUsd
string
required
totalVolumeUsd
string
required
predictionsCount
string
required
correctPredictions
string
required
wrongPredictions
string
required
totalActiveContracts
string
required
totalPositionsValueUsd
string
required